# Class StandaloneApplication<O, Env>

#### Type Parameters

- O extends ApplicationConfig
- Env extends Environment

#### Hierarchy (View Summary)

- Application<O, ApplicationRef, Env>
  - StandaloneApplication

- Defined in standalone-application.ts:13

#####
Index

### Constructors

constructor

### Properties

app
config
configLoadOptions?
environment
logger
options

### Methods

after
before
bootstrap
create
handleAfter
handleBefore
importProvidersFrom
loadConfig
prepareConfig
prepareEnvironment

##
Constructors

### constructor

- new StandaloneApplication<O extends ApplicationConfig, Env extends Environment>(
  environment: Env,
  rootComponent: Type$1<unknown>,
  options?: O,
  configLoadOptions?: ConfigLoadOptions,
  ): StandaloneApplication<O, Env>

  #### Type Parameters

  - O extends ApplicationConfig
  - Env extends Environment

  #### Parameters

  - environment: Env
  - rootComponent: Type$1<unknown>
  - `Optional` options: O
  - configLoadOptions: ConfigLoadOptions = ...

  #### Returns StandaloneApplication<O, Env>

  Overrides Application.constructor

  - Defined in standalone-application.ts:15

##
Properties

### app

app: null | ApplicationRef = null

Inherited from Application.app

- Defined in application.ts:39

### config

config: null | ConfigService<Record<string, any>> = null

Inherited from Application.config

- Defined in application.ts:41

### `Optional` `Readonly` configLoadOptions

configLoadOptions?: ConfigLoadOptions

Inherited from Application.configLoadOptions

- Defined in application.ts:48

### `Readonly` environment

environment: Env

Inherited from Application.environment

- Defined in application.ts:46

### logger

logger: null | Console = null

Inherited from Application.logger

- Defined in application.ts:40

### `Readonly` options

options: O = ...

Inherited from Application.options

- Defined in application.ts:47

##
Methods

### after

- after(fnc: ApplicationAfterFunction<O, ApplicationRef, Env>): void

  #### Parameters

  - fnc: ApplicationAfterFunction<O, ApplicationRef, Env>

  #### Returns void

  Inherited from Application.after

  - Defined in application.ts:90

### before

- before(fnc: ApplicationBeforeFunction<O, ApplicationRef, Env>): void

  #### Parameters

  - fnc: ApplicationBeforeFunction<O, ApplicationRef, Env>

  #### Returns void

  Inherited from Application.before

  - Defined in application.ts:86

### bootstrap

- bootstrap(): Promise<void>

  #### Returns Promise<void>

  Inherited from Application.bootstrap

  - Defined in application.ts:51

### `Protected` create

- create(): Promise<ApplicationRef>

  #### Returns Promise<ApplicationRef>

  Overrides Application.create

  - Defined in standalone-application.ts:32

### `Protected` handleAfter

- handleAfter(
  app: ApplicationRef,
  logger: Console,
  config: ConfigService,
  options: O,
  environment: Env,
  ): Promise<void>

  #### Parameters

  - app: ApplicationRef
  - logger: Console
  - config: ConfigService
  - options: O
  - environment: Env

  #### Returns Promise<void>

  Inherited from Application.handleAfter

  - Defined in application.ts:100

### `Protected` handleBefore

- handleBefore(config: ConfigService, options: O, environment: Env): Promise<void>

  #### Parameters

  - config: ConfigService
  - options: O
  - environment: Env

  #### Returns Promise<void>

  Inherited from Application.handleBefore

  - Defined in application.ts:94

### importProvidersFrom

- importProvidersFrom(...sources: ImportProvidersSource[]): void

  #### Parameters

  - ...sources: ImportProvidersSource[]

  #### Returns void

  - Defined in standalone-application.ts:27

### `Protected` loadConfig

- loadConfig(environment: Env): Promise<void>

  #### Parameters

  - environment: Env

  #### Returns Promise<void>

  Inherited from Application.loadConfig

  - Defined in application.ts:106

### `Protected` prepareConfig

- prepareConfig(config: O): void

  #### Parameters

  - config: O

  #### Returns void

  Overrides Application.prepareConfig

  - Defined in standalone-application.ts:36

### `Protected` prepareEnvironment

- prepareEnvironment(environment: Env): Promise<void>

  #### Parameters

  - environment: Env

  #### Returns Promise<void>

  Inherited from Application.prepareEnvironment

  - Defined in application.ts:110